#
# Conditional build:
%bcond_with	apidocs		# build and package API docs (withdrawn in 1.5)
%bcond_with	fortran		# Fortran interface (removed from 1.5 sources)
%bcond_without	hdf5		# HDF5-based MAT v7.3 files support
#
Summary:	MATIO - Matlab MAT file I/O library
Summary(pl.UTF-8):	MATIO - biblioteka wejścia/wyjścia do plików MAT (Matlaba)
Name:		matio
Version:	1.5.27
Release:	3
License:	BSD
Group:		Libraries
Source0:	https://downloads.sourceforge.net/matio/%{name}-%{version}.tar.gz
# Source0-md5:	d9e55f091cbecbe988d4579a51c08776
Patch0:		%{name}-hdf5.patch
URL:		https://matio.sourceforge.net/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.8
%{?with_apidocs:BuildRequires:	doxygen}
%{?with_fortran:BuildRequires:	gcc-fortran}
%{?with_hdf5:BuildRequires:	hdf5-devel >= 1.10}
BuildRequires:	libtool >= 2:2
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
%if %{with apidocs}
BuildRequires:	doxygen
BuildRequires:	texlive-format-pdflatex
BuildRequires:	texlive-latex-ams
BuildRequires:	texlive-makeindex
%endif
Obsoletes:	matio-apidocs < 1.5
Obsoletes:	matio-fortran < 1.5
Obsoletes:	matio-fortran-devel < 1.5
Obsoletes:	matio-fortran-static < 1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libmatio is an open-source library for reading/writing Matlab MAT
files. This library is designed for use by programs/libraries that do
not have access or do not want to rely on Matlab's libmat shared
library.

%description -l pl.UTF-8
libmatio to mająca otwarte źródłą biblioteka do odczytu i zapisu
plików MAT (z programu Matlab). Jest przeznaczona dla programów i
bibliotek nie mających dostępu albo nie chcących polegać na bibliotece
współdzielonej libmat z Matlaba.

%package devel
Summary:	Header files for MATIO library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki MATIO
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_hdf5:Requires:	hdf5-devel >= 1.10}
Requires:	zlib-devel

%description devel
Header files for MATIO library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki MATIO.

%package static
Summary:	Static MATIO library
Summary(pl.UTF-8):	Statyczna biblioteka MATIO
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static MATIO library.

%description static -l pl.UTF-8
Statyczna biblioteka MATIO.

%package fortran
Summary:	Fortran interface for MATIO library
Summary(pl.UTF-8):	Interfejs Fortranu do biblioteki MATIO
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description fortran
Fortran interface for MATIO library.

%description fortran -l pl.UTF-8
Interfejs Fortranu do biblioteki MATIO.

%package fortran-devel
Summary:	Header file for Fortran interface for MATIO library
Summary(pl.UTF-8):	Plik nagłówkowy interfejsu Fortranu do biblioteki MATIO
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-fortran = %{version}-%{release}

%description fortran-devel
Header file for Fortran interface for MATIO library.

%description fortran-devel -l pl.UTF-8
Plik nagłówkowy interfejsu Fortranu do biblioteki MATIO.

%package fortran-static
Summary:	Fortran interface for MATIO library - static library
Summary(pl.UTF-8):	Interfejs Fortranu do biblioteki MATIO - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-fortran-devel = %{version}-%{release}

%description fortran-static
Fortran interface for MATIO library - static library.

%description fortran-static -l pl.UTF-8
Interfejs Fortranu do biblioteki MATIO - biblioteka statyczna.

%package apidocs
Summary:	MATIO API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki MATIO
Group:		Documentation

%description apidocs
API and internal documentation for MATIO library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki MATIO.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_fortran:--enable-fortran} \
	%{!?with_hdf5:--disable-mat73}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmatio.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README
%attr(755,root,root) %{_bindir}/matdump
%attr(755,root,root) %{_libdir}/libmatio.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmatio.so.13

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmatio.so
%{_includedir}/matio*.h
%{_pkgconfigdir}/matio.pc
%{_mandir}/man3/Mat_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libmatio.a

%if %{with fortran}
%files fortran
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmatio-fortran.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmatio-fortran.so.2

%files fortran-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmatio-fortran.so
%{_libdir}/libmatio-fortran.la
%{_includedir}/matio.mod

%files fortran-static
%defattr(644,root,root,755)
%{_libdir}/libmatio-fortran.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doxygen/latex/libmatio.pdf
%endif
%changelog
* Thu Dec 05 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/matio.git;a=log;h=master

* Thu Dec 05 2024 Jan Rękorajski <baggins@pld-linux.org> 58d8bb6
- Release 3 (by relup.sh)

* Thu Apr 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 19cc9fb
- patch to fix .pc file (there is no hdf5.pc so far); release 2

* Wed Apr 24 2024 Jakub Bogusz <qboosh@pld-linux.org> a226f39
- updated to 1.5.27

* Tue Apr 12 2022 Jakub Bogusz <qboosh@pld-linux.org> e97c6d5
- updated to 1.5.23 (fixes CVE-2020-36428, CVE-2021-36977)

* Tue Aug 17 2021 Jakub Bogusz <qboosh@pld-linux.org> a4f8479
- unified tab formatting

* Tue Aug 17 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 566fc60
- fixing info/dir

* Tue Aug 17 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 01a4622
- up to 1.5.21

* Sun Nov 22 2020 Jakub Bogusz <qboosh@pld-linux.org> a1c17d5
- updated to 1.5.19 (new soname)
- dropped .la file

* Sun Dec 08 2019 Jan Rękorajski <baggins@pld-linux.org> 6fe1ee7
- release 2 (by relup.sh)

* Sun Dec 23 2018 Jakub Bogusz <qboosh@pld-linux.org> 1c52419
- updated to 1.5.13

* Wed Sep 14 2016 Jakub Bogusz <qboosh@pld-linux.org> b8fce87
- updated to 1.5.8 (note: new soname)
- removed obsolete link patch

* Mon Jul 13 2015 Jan Rękorajski <baggins@pld-linux.org> 60cd966
- release 4 (by relup.sh)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 0b33dcb
- x32 rebuild
- release 3 (by relup.sh)

* Sun Nov 23 2014 Jan Rękorajski <baggins@pld-linux.org> fd968f4
- rebuild with hdf5 1.8.14
- release 2 (by relup.sh)

* Sat Sep 21 2013 Jakub Bogusz <qboosh@pld-linux.org> ce837a8
- updated to 1.5.2

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> 707cea4
- release 2 (by relup.sh)

* Wed Mar 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 3ee2c0a
- updated to 1.5.0 (note: new soname)
- updated link patch, removed obsolete ac,separate-fortran patches
- fortran interface and doxygen docs have been dropped upstream

* Tue Mar 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 53e297e
- pl fix

* Mon Jan 30 2012 Jakub Bogusz <qboosh@pld-linux.org> be8d191
- new; fortran interface built as separate library to avoid extra deps in main package

